Loading...
Searching...
No Matches
EnumerationPickler.h File Reference
`#include <RDGeneral/export.h>`
`#include "EnumerationStrategyBase.h"`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::EnumerationStrategyPickler

## Functions

RDKIT_CHEMREACTIONS_EXPORT void | RDKit::EnumerationStrategyPickler::pickle (const boost::shared_ptr< EnumerationStrategyBase > &enumerator, std::ostream &ss)
| pickles a EnumerationStrategy and adds the results to a stream `ss`
RDKIT_CHEMREACTIONS_EXPORT void | RDKit::EnumerationStrategyPickler::pickle (const boost::shared_ptr< EnumerationStrategyBase > &enumerator, std::string &s)
RDKIT_CHEMREACTIONS_EXPORT boost::shared_ptr< EnumerationStrategyBase > | RDKit::EnumerationStrategyPickler::fromPickle (std::istream &pickle)
RDKIT_CHEMREACTIONS_EXPORT boost::shared_ptr< EnumerationStrategyBase > | RDKit::EnumerationStrategyPickler::fromPickle (const std::string &pickle)
| a pointer to the EnumerationStrategyBase